---
agentTools:
  projectIndex: https://docs.developer.yelp.com/llms.txt
---

# Remove Business IDs

[block:callout]
{
  "type": "warning",
  "body": "Please migrate to the [Business Subscriptions API](https://docs.developer.yelp.com/docs/business-subscriptions-api)",
  "title": "Location Subscription API is deprecated"
}
[/block]

## 200 Success Response Schema

[block:parameters]
{
  "data": {
    "h-0": "Field Name",
    "h-1": "Field Type",
    "h-2": "Field Description",
    "0-0": "`status`",
    "0-1": "`string`",
    "0-2": "Status of removing business IDs."
  },
  "cols": 3,
  "rows": 1
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Syndication",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://partner-api.yelp.com/syndication/feed"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://example.com/oauth2/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/remove": {
      "post": {
        "summary": "Remove Business IDs",
        "description": "",
        "operationId": "remove-business-ids",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "biz_ids"
                ],
                "properties": {
                  "biz_ids": {
                    "type": "array",
                    "description": "List of business IDs to add to the daily subscription feed.",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\": \"completed\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "completed"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "shell",
              "code": "curl -X POST \\\n     -H \"Content-Type: application/json\" \\\n     -d '{\"biz_ids\":[\"VXi7gzRqPKp63X0u6fUtbg\"]}' \\\n     --user \"<user>:<password>\" \\\n     \"https://partner-api.yelp.com/syndication/feed/remove\""
            }
          ],
          "samples-languages": [
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "5c48083475923d091a78b7e7:5c07208d57384300493c8349"
}
```